VersionInfo (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class VersionInfo

    java.lang.Object
      org.apache.hadoop.util.VersionInfo

    public class VersionInfo

extends Object

This class finds the package info for Hadoop and the HadoopVersionAnnotation information.

Constructor Summary
`VersionInfo()`

Method Summary
`static String` | `getBuildVersion()` Returns the buildVersion which includes version, revision, user and date.
`static String` | `getDate()` The date that Hadoop was compiled.
`static String` | `getRevision()` Get the subversion revision number for the root directory
`static String` | `getSrcChecksum()` Get the checksum of the source files from which Hadoop was built.
`static String` | `getUrl()` Get the subversion URL for the root Hadoop directory.
`static String` | `getUser()` The user that compiled Hadoop.
`static String` | `getVersion()` Get the Hadoop version.
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionInfo

    public VersionInfo()

Method Detail

### getVersion

    public static String getVersion()

  Get the Hadoop version.

  Returns:
    the Hadoop version string, eg. "0.6.3-dev"

### getRevision

    public static String getRevision()

  Get the subversion revision number for the root directory

  Returns:
    the revision number, eg. "451451"

### getDate

    public static String getDate()

  The date that Hadoop was compiled.

  Returns:
    the compilation date in unix date format

### getUser

    public static String getUser()

  The user that compiled Hadoop.

  Returns:
    the username of the user

### getUrl

    public static String getUrl()

  Get the subversion URL for the root Hadoop directory.

### getSrcChecksum

    public static String getSrcChecksum()

  Get the checksum of the source files from which Hadoop was built.

### getBuildVersion

    public static String getBuildVersion()

  Returns the buildVersion which includes version, revision, user and date.

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation